| Flutter Linux Embedder |

Functions
fl_engine.h File Reference
`#include <glib-object.h>`
`#include <gmodule.h>`
`#include "fl_binary_messenger.h"`
`#include "fl_dart_project.h"`
`#include "fl_texture_registrar.h"`

Go to the source code of this file.

## Functions
G_BEGIN_DECLS G_MODULE_EXPORT FlEngine * | fl_engine_new_headless (FlDartProject *project)
FlBinaryMessenger * | fl_engine_get_binary_messenger (FlEngine *engine)
FlTextureRegistrar * | fl_engine_get_texture_registrar (FlEngine *engine)

## Function Documentation

## ◆ fl_engine_get_binary_messenger()

FlBinaryMessenger* fl_engine_get_binary_messenger | ( | FlEngine * | engine | ) |

fl_engine_get_binary_messenger: @engine: an #FlEngine.

Gets the messenger to communicate with this engine.

Returns: an #FlBinaryMessenger.

Definition at line 918 of file fl_engine.cc.

919 {
920 g_return_val_if_fail(FL_IS_ENGINE(self), nullptr);
921 return self->binary_messenger;
922 }

Referenced by create_context_cb(), fl_settings_plugin_new(), fl_view_get_registrar_for_plugin(), fl_view_keyboard_delegate_iface_init(), init_keyboard(), set_app_lifecycle_state(), and TEST().

## ◆ fl_engine_get_texture_registrar()

FlTextureRegistrar* fl_engine_get_texture_registrar | ( | FlEngine * | engine | ) |

fl_engine_get_texture_registrar: @engine: an #FlEngine.

Gets the texture registrar for registering textures.

Returns: an #FlTextureRegistrar.

Definition at line 934 of file fl_engine.cc.

935 {
936 g_return_val_if_fail(FL_IS_ENGINE(self), nullptr);
937 return self->texture_registrar;
938 }

Referenced by fl_view_get_registrar_for_plugin().

## ◆ fl_engine_new_headless()

G_BEGIN_DECLS G_MODULE_EXPORT FlEngine* fl_engine_new_headless | ( | FlDartProject * | project | ) |

FlEngine:

#FlEngine is an object that contains a running Flutter engine. fl_engine_new_headless: @project: an #FlDartProject.

Creates new Flutter engine running in headless mode.

Returns: a new #FlEngine.

Definition at line 469 of file fl_engine.cc.

469 {
470 g_autoptr(FlRendererHeadless) renderer = fl_renderer_headless_new();
471 return fl_engine_new(project, FL_RENDERER(renderer));
472 }

References fl_engine_new(), and fl_renderer_headless_new().

fl_engine_new
FlEngine * fl_engine_new(FlDartProject *project, FlRenderer *renderer)
Definition: fl_engine.cc:458
fl_renderer_headless_new
FlRendererHeadless * fl_renderer_headless_new()
Definition: fl_renderer_headless.cc:38